## fabric 1.8.2

=== requirements.txt ===
# These requirements are for DEVELOPMENT ONLY!
# You do not need e.g. Sphinx or Fudge just to run the 'fab' tool.
# Instead, these are necessary for executing the test suite or developing the
# cutting edge (which may have different requirements from released versions.)

# Development version of Paramiko, just in case we're in one of those phases.
-e git+https://github.com/paramiko/paramiko#egg=paramiko
# Pull in actual "you already have local installed checkouts of Fabric +
# Paramiko" dev deps.
-r dev-requirements.txt

## fabric 0.9.1

=== debian/changelog ===
fabric (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1.

 -- Chris Lamb <lamby@debian.org>  Sun, 01 Aug 2010 16:14:40 -0400

fabric (0.9.0-3) unstable; urgency=low

  * Don't try and install changes/ directory; something in sid now means this
    is causing a FTBFS. (Closes: #587138)
  * Switch to dpkg v3 source format.
  * Bump Standards-Version to 3.8.4.

 -- Chris Lamb <lamby@debian.org>  Mon, 28 Jun 2010 10:44:43 +0100

fabric (0.9.0-2) unstable; urgency=low

  * Don't embed python-paramiko. (Closes: #561398)

 -- Chris Lamb <lamby@debian.org>  Tue, 05 Jan 2010 21:47:56 +0000

fabric (0.9.0-1) unstable; urgency=low

  * New upstream release (Closes: #555796)
  * Update debian/watch.
  * debian/control:
    - Add missing binary dependency on python-pkg-resources (Closes: #557144)
    - Update Homepage field.
    - Bump Standards-Version.

 -- Chris Lamb <lamby@debian.org>  Mon, 23 Nov 2009 01:28:29 +0000

fabric (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Set section to 'net' from 'python'.
  * Bump Standards-Version to 3.8.1

 -- Chris Lamb <lamby@debian.org>  Sat, 09 May 2009 12:59:18 +0100

fabric (0.1.0-1) unstable; urgency=low

  * New upstream release.
  * Correct title of manual page.
  * Correct typo in debian/copyright.
  * Updating location of Git URLs.

 -- Chris Lamb <lamby@debian.org>  Sun, 22 Feb 2009 02:49:44 +0000

fabric (0.0.9-2) unstable; urgency=low

  * Add missing Build-Depends-Indep on python-setuptools. Found by checking
    source-only upload to Ubuntu.

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Jan 2009 23:36:39 +0000

fabric (0.0.9-1) unstable; urgency=low

  * Initial release. (Closes: #504799)

 -- Chris Lamb <lamby@debian.org>  Sat, 08 Nov 2008 03:29:25 +0000

=== debian/control ===
Source: fabric
Section: net
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-support, python-setuptools
Standards-Version: 3.9.1
Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-fabric.git
Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-fabric.git
Homepage: http://fabfile.org/

Package: fabric
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-paramiko (>= 1.6), python-pkg-resources
Description: Simple Pythonic remote deployment tool
 Fabric is designed to upload files and run shell commands on a number of
 servers in parallel or serially. These commands are grouped in tasks (which
 are regular Python functions) and specified in a 'fabfile.'
 .
 It is similar to Capistrano, except it's implemented in Python and doesn't
 expect you to be deploying Rails applications.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	rm -rf paramiko/
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs --exclude=changes

=== debian/watch ===
version=2
http://code.fabfile.org/projects/fabric/files/ [fF]abric-(.+).tar.gz

## fabric 0.9.3

=== debian/changelog ===
fabric (0.9.3-1) unstable; urgency=low

  * New upstream release (Closes: #612361)
  * Update Vcs-{Git,Browser}.

 -- Chris Lamb <lamby@debian.org>  Sun, 27 Feb 2011 21:27:34 +0000

fabric (0.9.2-1) unstable; urgency=low

  * New upstream release. (Closes: #597973)

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Oct 2010 21:42:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python-support, python-setuptools
 Standards-Version: 3.9.1
-Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-fabric.git
-Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-fabric.git
+Vcs-Git: git://github.com/lamby/pkg-fabric.git
+Vcs-Browser: https://github.com/lamby/pkg-fabric
 Homepage: http://fabfile.org/
 
 Package: fabric

## fabric 1.0.1

=== debian/changelog ===
fabric (1.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #627123)

 -- Chris Lamb <lamby@debian.org>  Tue, 17 May 2011 21:54:50 +0100

## fabric 1.1.2

=== debian/changelog ===
fabric (1.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Jul 2011 19:32:36 +0200

fabric (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2.

 -- Chris Lamb <lamby@debian.org>  Tue, 28 Jun 2011 19:54:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python-support, python-setuptools
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://github.com/lamby/pkg-fabric.git
 Vcs-Browser: https://github.com/lamby/pkg-fabric
 Homepage: http://fabfile.org/

## fabric 1.3.2

=== debian/changelog ===
fabric (1.3.2-4) unstable; urgency=low

  * Call "install" in override_dh_auto_install, not "clean".
    (Closes: #651599)
  * Add missing python-sphinx dependency. (Closes: #651597, #651602)

 -- Chris Lamb <lamby@debian.org>  Wed, 14 Dec 2011 16:41:43 +0000

fabric (1.3.2-3) unstable; urgency=low

  * Ship documentation. (Closes: #649610)

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Dec 2011 14:51:01 +0000

fabric (1.3.2-2) unstable; urgency=low

  * Use paramiko instead of "ssh" library. It is not yet packaged for Debian
    and paramiko appears to work in my quick tests and is better than it just
    failing. (Closes: #649161)
  * Add new python-nose dependency.

 -- Chris Lamb <lamby@debian.org>  Fri, 18 Nov 2011 15:17:45 +0000

fabric (1.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #648483)
  * Update debian/watch.

 -- Chris Lamb <lamby@debian.org>  Wed, 16 Nov 2011 17:32:19 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-support, python-setuptools
+Build-Depends-Indep: python-support, python-setuptools, python-sphinx
 Standards-Version: 3.9.2
 Vcs-Git: git://github.com/lamby/pkg-fabric.git
 Vcs-Browser: https://github.com/lamby/pkg-fabric
@@ -11,7 +11,8 @@
 
 Package: fabric
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-paramiko (>= 1.6), python-pkg-resources
+Depends: ${misc:Depends}, ${python:Depends}, python-paramiko (>= 1.6), python-pkg-resources, python-nose
+Suggests: libjs-jquery
 Description: Simple Pythonic remote deployment tool
  Fabric is designed to upload files and run shell commands on a number of
  servers in parallel or serially. These commands are grouped in tasks (which

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs html

override_dh_auto_clean:
	rm -rf paramiko/
	dh_auto_clean

override_dh_auto_install:
	ln -sf /usr/share/javascript/jquery/jquery.js \
		docs/_build/html/_static/jquery.js
	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs --exclude=changes

override_dh_compress:
	dh_compress -X.js -X.txt

## fabric 1.4.2

=== debian/changelog ===
fabric (1.4.2-1.1) unstable; urgency=low

  * Fix paramiko incompatiblity with python-ssh. Thanks to Emmanuel Bouthenot
    (Closes: #677479)

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Jun 2012 10:23:10 +0100

fabric (1.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 13 Jun 2012 16:31:01 +0100

fabric (1.3.2-5) unstable; urgency=low

  * Move to dh_python2 from python-support. Patch by/via Micah Gersten
    <micahg@ubuntu.com>. (Closes: #653322)
  * Add missing python-paramiko to Build-Depends. (Closes: #653321)

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Jan 2012 12:43:42 +0000

## fabric 1.4.3

=== debian/changelog ===
fabric (1.4.3-1) unstable; urgency=low

  * New upstream release (Closes: #680209)
  * Drop 02-no-upstream-tags-when-building.diff.
  * Bump Standards-Version to 3.9.3.

 -- Chris Lamb <lamby@debian.org>  Mon, 29 Oct 2012 23:59:13 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-support, python-setuptools, python-sphinx
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~)
+Build-Depends-Indep: python-setuptools, python-sphinx, python-paramiko
+Standards-Version: 3.9.3
 Vcs-Git: git://github.com/lamby/pkg-fabric.git
 Vcs-Browser: https://github.com/lamby/pkg-fabric
 Homepage: http://fabfile.org/

## fabric 1.8.2

=== debian/changelog ===
fabric (1.8.2-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer. (Closes: #738292)
  * Bump debian/compat to 8
  * Update Standards-Version: 3.9.5, no changes required.
  * Change Vcs-Git and Vcs-Git fields to my github copy.
  * Modify debian/copyright to add myself in the packaging copyright.
  * Add patch no_adsense.patch, to remove Google Adsense in the html documentation.
  * Disable sphinx extension "releases", it is not included in Debian. See
    patch disable_sphinx_extension.patch.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 22 Feb 2014 23:01:27 +0100

fabric (1.7.0-2) unstable; urgency=medium

  * Orphaning package.

 -- Chris Lamb <lamby@debian.org>  Sat, 08 Feb 2014 23:50:33 +0000

fabric (1.7.0-1) unstable; urgency=low

  * New upstream release.
    Thanks to Rodney Lorrimar <rlorrimar@ccg.murdoch.edu.au>.
  * Drop 01-paramiko.diff - equivalent change made upstream.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Aug 2013 12:06:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: fabric
 Section: net
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~)
-Build-Depends-Indep: python-setuptools, python-sphinx, python-paramiko
-Standards-Version: 3.9.3
-Vcs-Git: git://github.com/lamby/pkg-fabric.git
-Vcs-Browser: https://github.com/lamby/pkg-fabric
+Build-Depends-Indep: python-setuptools, python-sphinx, python-paramiko, python-fudge
+Standards-Version: 3.9.5
+Vcs-Git: git://github.com/ana/pkg-fabric.git
+Vcs-Browser: https://github.com/ana/pkg-fabric
 Homepage: http://fabfile.org/
 
 Package: fabric

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=3
http://githubredir.debian.net/github/fabric/fabric /(\d.*).tar.gz

## fabric 1.10.0

=== debian/changelog ===
fabric (1.10.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #760152)
  * Update versioned depends on python-paramiko to >= 1.10.
    Thanks David Banks for the suggestion. (Closes: #740930)
  * Update Vcs-* fields.
  * Packaging updates to generate the documentation:
    - Add b-d on python-alabaster.
    - Drop patch disable_sphinx_extension.patch.
    - Update debian/rules accordingly.
    - Update no_adsense patch to work with the new doc system.
  * Update to Standards-Version 3.9.6, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 05 Oct 2014 02:35:21 +0200

=== debian/control ===
Source: fabric
Section: net
Priority: optional
Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~)
Build-Depends-Indep: python-setuptools, python-sphinx, python-paramiko,
 python-fudge, python-alabaster
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/fabric.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fabric.git
Homepage: http://fabfile.org/

Package: fabric
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-paramiko (>= 1.10), python-pkg-resources, python-nose
Suggests: libjs-jquery
Description: Simple Pythonic remote deployment tool
 Fabric is designed to upload files and run shell commands on a number of
 servers in parallel or serially. These commands are grouped in tasks (which
 are regular Python functions) and specified in a 'fabfile.'
 .
 It is similar to Capistrano, except it's implemented in Python and doesn't
 expect you to be deploying Rails applications.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	sphinx-build -b html -c sites/docs/ sites/docs/ sites/docs/html

override_dh_auto_clean:
	rm -rf sites/docs/html/
	dh_auto_clean

override_dh_auto_install:
	ln -sf /usr/share/javascript/jquery/jquery.js \
		sites/docs/html/_static/jquery.js
	rm -rf sites/docs/html/.doctrees
	dh_auto_install

override_dh_compress:
	dh_compress -X.js -X.txt -X.html

## fabric 1.10.2

=== debian/changelog ===
fabric (1.10.2-1) unstable; urgency=medium

  [ Stein Magnus Jodal ]
  * New upstream release.
  * debian/control:
    - Build-Depend on debhelper >= 9.
    - Build-Depend on python-all >= 2.7.
    - Build-Depend on dh-python.
    - Replace debian/pyversions with X-Python-Version declaration.
  * debian/copyrights:
    - Use DEP5 format.
    - Update upstream and package copyrights.
    - Update upstream license from GPLv2 to BSD-2-clause, as upstream changed
      license in 2009.
  * Install docs with dh_sphinxdoc. This fixes embedded-javascript-library
    Lintian warning for Underscore.js.
  * Update debian/watch.
  * Use pybuild as build system.
  * Replace AdSense removal patch with a new cleanly applying patch with the
    same license as the upstream source.

  [ Andrew Starr-Bochicchio ]
  * Add myself as Maintainer (Closes: #797593).
  * Fix typo in debian/watch.
  * debian/fab.1: Update to be more comprehensive based on
    on the upstream usage docs.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 15 Sep 2015 22:32:39 -0400

=== debian/control ===
Source: fabric
Section: net
Priority: optional
Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-alabaster,
               python-all (>= 2.7),
               python-paramiko,
               python-setuptools,
               python-sphinx,
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/fabric.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fabric.git
Homepage: http://fabfile.org/
X-Python-Version: >= 2.5

Package: fabric
Architecture: all
Depends: python-nose,
         python-paramiko (>= 1.10),
         python-pkg-resources,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Description: Simple Pythonic remote deployment tool
 Fabric is designed to upload files and run shell commands on a number of
 servers in parallel or serially. These commands are grouped in tasks (which
 are regular Python functions) and specified in a 'fabfile.'
 .
 It is similar to Capistrano, except it's implemented in Python and doesn't
 expect you to be deploying Rails applications.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=fabric

# Tests depends on python-fudge<1.0, which Debian cannot satisfy.
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N sites/docs/ sites/docs/build/html/

override_dh_auto_clean:
	dh_auto_clean
	rm -rf sites/docs/build/

## fabric 1.13.1

=== debian/changelog ===
fabric (1.13.1-2) unstable; urgency=medium

  * debian/rules: Disable test_nested_execution_with_explicit_ports
    when running tests at build time as it hangs indefinitely
    when run on a single core VM (Closes: #850230).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 18 Jan 2017 22:32:02 -0500

fabric (1.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0003-allow-paramiko-2.patch, applied upstream.
  * Bump debian/compat to 10.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 24 Dec 2016 13:35:22 -0500

fabric (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * 0002-disable-failed-tests-with-fudge10.patch: Disable tests that
    require Fudge < 1.0 so that we can run the rest of the test suite.
  * debian/rules: Re-enable the test suite.
  * debian/control:
   - Build depend on python-fudge and python-nose.
   - Bump Standards-Version to 3.9.8, no changes.
   - Build depend and depend on python-crypto.
   - Drop unneeded depend on python-nose.
  * 0003-allow-paramiko-2.patch: Patch setup.py to allow
    Paramiko 2.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 12 Nov 2016 12:45:54 -0500

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Section: net
 Priority: optional
 Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python-alabaster,
                python-all (>= 2.7),
+               python-crypto,
+               python-fudge,
+               python-nose,
                python-paramiko,
                python-setuptools,
                python-sphinx,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/fabric.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fabric.git
 Homepage: http://fabfile.org/
@@ -17,7 +20,7 @@
 
 Package: fabric
 Architecture: all
-Depends: python-nose,
+Depends: python-crypto,
          python-paramiko (>= 1.10),
          python-pkg-resources,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export PYBUILD_TEST_ARGS=--exclude=test_nested_execution_with_explicit_ports
 export PYBUILD_NAME=fabric
-
-# Tests depends on python-fudge<1.0, which Debian cannot satisfy.
-export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

## fabric 1.14.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # cutting edge (which may have different requirements from released versions.)
 
 # Development version of Paramiko, just in case we're in one of those phases.
--e git+https://github.com/paramiko/paramiko#egg=paramiko
+-e git+https://github.com/paramiko/paramiko@1.17#egg=paramiko
 # Pull in actual "you already have local installed checkouts of Fabric +
 # Paramiko" dev deps.
 -r dev-requirements.txt

=== debian/changelog ===
fabric (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 25 Dec 2017 20:55:31 -0500

fabric (1.13.1-3) unstable; urgency=medium

  * Run tests in verbose mode (Closes: #857094).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 07 Mar 2017 20:10:33 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python-paramiko,
                python-setuptools,
                python-sphinx,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Git: git://anonscm.debian.org/collab-maint/fabric.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fabric.git
 Homepage: http://fabfile.org/

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export PYBUILD_TEST_ARGS=--exclude=test_nested_execution_with_explicit_ports
+export PYBUILD_TEST_ARGS=-v --exclude=test_nested_execution_with_explicit_ports
 export PYBUILD_NAME=fabric
 
 %:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fabric-$1\.tar\.gz/ \
  https://github.com/fabric/fabric/tags .*/v?(\d\S*)\.tar\.gz

## fabric 2.5.0

=== debian/changelog ===
fabric (2.5.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No changes source-only upload to allow migration to testing.

 -- Luca Boccassi <bluca@debian.org>  Sun, 08 Dec 2019 15:58:47 +0000

fabric (2.5.0-0.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/2.5.0' (Closes: #930451)
  * Refresh 0001-Remove-Google-AdSense-tracker-from-docs.patch to remove
    fuzz
  * Remove 0002-disable-failed-tests-with-fudge10.patch, no longer
    required
  * Convert to python3 and split executable in its own package (Closes:
    #916815, #936501)
  * Add Built-Using metadata generated by sphinx
  * Non-maintainer upload.

 -- Luca Boccassi <bluca@debian.org>  Thu, 28 Nov 2019 18:21:31 +0000

fabric (1.13.1-4) unstable; urgency=medium

  * debian/rules: Disable test_should_use_sentinel_for_tasks_that_errored
    The test randomly fails in certain environments causing more
    too much noise to be useful (Closes: #854686).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 16 May 2017 22:20:39 -0400

=== debian/control ===
Source: fabric
Section: net
Priority: optional
Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3,
               python3-alabaster,
               python3-decorator <!nocheck>,
               python3-invoke (>= 1.3.0~) <!nocheck>,
               python3-nose <!nocheck>,
               python3-paramiko,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.1.2
Vcs-Git: https://salsa.debian.org/debian/fabric.git
Vcs-Browser: https://salsa.debian.org/debian/fabric
Homepage: http://fabfile.org/

Package: fabric
Architecture: all
Depends: python3-fabric (>= ${source:Version}),
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using},
Description: Simple Pythonic remote deployment tool
 Fabric is designed to upload files and run shell commands on a number of
 servers in parallel or serially. These commands are grouped in tasks (which
 are regular Python functions) and specified in a 'fabfile.'
 .
 It is similar to Capistrano, except it's implemented in Python and doesn't
 expect you to be deploying Rails applications.
 .
 This package contains the binary executable and the documentation.

Package: python3-fabric
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Simple Pythonic remote deployment tool
 Fabric is designed to upload files and run shell commands on a number of
 servers in parallel or serially. These commands are grouped in tasks (which
 are regular Python functions) and specified in a 'fabfile.'
 .
 It is similar to Capistrano, except it's implemented in Python and doesn't
 expect you to be deploying Rails applications.
 .
 This package contains the Python 3 modules.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_TEST_ARGS=-v --ignore=test_nested_execution_with_explicit_ports --ignore=test_should_use_sentinel_for_tasks_that_errored
export PYBUILD_NAME=fabric
export PYBUILD_INSTALL_ARGS=--install-scripts=../fabric/usr/bin

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N sites/docs/ sites/docs/build/html/

override_dh_auto_clean:
	dh_auto_clean
	rm -rf sites/docs/build/
	rm -rf fabric.egg-info/

## fabric 2.6.0

=== debian/changelog ===
fabric (2.6.0-6) unstable; urgency=medium

  * Regenerate the 10 years old manpage (Closes: #1111032)
  * Reformat d/control with debputy
  * Add myself as uploader
  * Drop R³: it is the default now

 -- Alexandre Detiste <tchet@debian.org>  Thu, 28 Aug 2025 09:03:46 +0200

fabric (2.6.0-5) unstable; urgency=medium

  * Team upload.
  * Patch-out python3-six & python3-mock usage.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 08 Aug 2025 19:17:19 +0200

fabric (2.6.0-4) unstable; urgency=medium

  * Team upload.
  * Drop runtime dependency on python3-pkg-resources (Closes: #1083384)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 04 Feb 2025 08:21:30 +0100

fabric (2.6.0-3) unstable; urgency=medium

  * Team upload.
  * Drop nose (Closes: #1018350)

 -- Luca Boccassi <bluca@debian.org>  Thu, 03 Oct 2024 19:34:07 +0100

fabric (2.6.0-2) unstable; urgency=high

  * Team upload.
  * Add build dependency on python3-six for tests (Closes: #1073360)

 -- Luca Boccassi <bluca@debian.org>  Wed, 10 Jul 2024 00:23:03 +0100

fabric (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * Set Rules-Requires-Root: no
  * Use https for Homepage URL
  * Switch to debhelper-compat 13
  * Switch to dh-sequence-python3
  * Use d/clean instead of override
  * Update d/watch version
  * Override very-long-line-length-in-source-file warning
  * Set Section: python for python3 module package
  * Add d/upstream/metadata file
  * De-duplicate short description in d/control
  * Bump Standards-Version to 4.6.0
  * Update d/copyright
  * Move maintenance to Python Team (Closes: #984559)
  * New upstream version 2.6.0

 -- Luca Boccassi <bluca@debian.org>  Sat, 19 Feb 2022 13:51:01 +0000

fabric (2.5.0-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Move dependency on python3-decorator from fabric to python3-fabric
    (Closes: #1002026)

 -- Luca Boccassi <bluca@debian.org>  Tue, 28 Dec 2021 13:37:52 +0000

fabric (2.5.0-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add dependency on python3-decorator (Closes: #956320)

 -- Luca Boccassi <bluca@debian.org>  Mon, 31 May 2021 11:00:56 +0100

=== debian/control ===
Source: fabric
Section: net
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrew Starr-Bochicchio <asb@debian.org>,
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-alabaster <!nodoc>,
 python3-paramiko,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/python-team/packages/fabric.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/fabric
Homepage: https://fabfile.org/
X-Style: black

Package: fabric
Architecture: all
Depends:
 python3-fabric (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Simple Pythonic remote deployment tool
 Fabric is designed to upload files and run shell commands on a number of
 servers in parallel or serially. These commands are grouped in tasks (which
 are regular Python functions) and specified in a 'fabfile.'
 .
 It is similar to Capistrano, except it's implemented in Python and doesn't
 expect you to be deploying Rails applications.
 .
 This package contains the binary executable and the documentation.

Package: python3-fabric
Architecture: all
Section: python
Depends:
 python3-decorator,
 ${misc:Depends},
 ${python3:Depends},
Description: Simple Pythonic remote deployment tool - standalone module
 Fabric is designed to upload files and run shell commands on a number of
 servers in parallel or serially. These commands are grouped in tasks (which
 are regular Python functions) and specified in a 'fabfile.'
 .
 It is similar to Capistrano, except it's implemented in Python and doesn't
 expect you to be deploying Rails applications.
 .
 This package contains the Python 3 modules.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fabric-$1\.tar\.gz/ \
  https://github.com/fabric/fabric/tags .*/v?(\d\S*)\.tar\.gz

## fabric 3.2.2

=== debian/changelog ===
fabric (3.2.2-1) unstable; urgency=medium

  * New upstream version 3.2.2 (Closes: #1070759)
  * Add dependency on python3-invocations

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Nov 2025 23:05:27 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  python3,
  python3-alabaster <!nodoc>,
  python3-paramiko,
+ python3-invocations,
  python3-setuptools,
  python3-sphinx <!nodoc>,
 Standards-Version: 4.7.2
@@ -43,6 +44,7 @@
 Section: python
 Depends:
  python3-decorator,
+ python3-invocations,
  ${misc:Depends},
  ${python3:Depends},
 Description: Simple Pythonic remote deployment tool - standalone module

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,9 @@
 export PYBUILD_INSTALL_ARGS=--install-scripts=../fabric/usr/bin
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N sites/docs/ sites/docs/build/html/
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf sites/docs/build/
-	rm -rf fabric.egg-info/
+override_dh_auto_test:

## fabric fim-1.2.0

=== requirements.txt ===
astroid==2.4.2
bleach==3.3.0
certifi==2020.12.5
colorama==0.4.4
cycler==0.10.0
decorator==4.4.2
idna==2.10
importlib-metadata==3.7.3
iniconfig==1.1.1
isort==4.3.21
keyring==21.5.0
kiwisolver==1.3.1
lazy-object-proxy==1.4.3
matplotlib==3.5.1
mccabe==0.6.1
neo4j==4.1.0
networkx==2.8
networkx-query==1.0.1
packaging==20.8
pipdeptree==1.0.0
pkginfo==1.6.1
py==1.10.0
pycodestyle==2.6.0
Pygments==2.9.0
pyparsing==2.4.7
pytest==7.1.1
python-dateutil==2.8.1
pytz==2020.1
PyYAML==5.4
readme-renderer==29.0
recordclass==0.14.3
requests==2.27.1
requests-toolbelt==0.9.1
rfc3986==1.4.0
six==1.15.0
toml==0.10.2
tqdm==4.54.1
typed-ast==1.4.1
typing-extensions==3.7.4.3
webencodings==0.5.1
wrapt==1.12.1

## fabric fim-1.3.1

=== requirements.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Pygments==2.9.0
 pyparsing==2.4.7
 pytest==7.1.1
-python-dateutil==2.8.1
+python-dateutil==2.8.2
 pytz==2020.1
 PyYAML==5.4
 readme-renderer==29.0

## fabric fim-1.3.5rc0

=== requirements.txt ===
matplotlib>=3.5.1
neo4j>=4.1.0
networkx>=2.8
networkx-query>=1.0.1
PyYAML>=5.4
recordclass>=0.14.3
requests>=2.27.1

## fabric fim-1.4.0rc1

=== requirements.txt ===
matplotlib>=3.6.0
neo4j>=4.1.0
networkx>=2.8.7
networkx_query>=1.0.1
PyYAML>=6.0
recordclass>=0.17.5
requests>=2.28.1
